# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..2\n"; }
END {print "not ok 1\n" unless $loaded;}
use Crypt::UnixCrypt::MD5 qw(crypt_md5);
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

# try some simple examples
@tests = qw(fish    soup$    $1$soup$/LOxxe3FTXCQWdCeYaNWu0
            secret  xa$      $1$xa$QTh4scPSgExcGSLld.5H2/);

$ok = 1;

for ($i = 0; $i < $#tests; $i += 3) {
    $ok = 0 if (crypt_md5($tests[$i], $tests[$i + 1]) ne $tests[$i + 2]);
}

if ($ok) {
    print "ok 2\n";
} else {
    print "not ok 2\n";
}
